<div class="<?= MODULE_CONTENT_PI_RELATED_PRODUCTS_CONTENT_WIDTH ?> cm-pi-related_product mt-3">
  <h4><?= MODULE_CONTENT_PI_RELATED_PRODUCTS_TITLE ?></h4>

  <div class="<?= IS_PRODUCT_PRODUCTS_DISPLAY_ROW ?>">
    <?php
    
    while ($optional_rel_prods = $optional_rel_prods_query->fetch_assoc()) {
      $optional_rel_prods['link'] = Product::build_link($optional_rel_prods['products_id'], null);
      $product = new Product($optional_rel_prods);
      $card = [
        'show_buttons' => true,
      ];

      if (MODULE_CONTENT_PI_RELATED_PRODUCTS_SHOW_DESCRIPTION == 'True' && !Text::is_empty($product->get('description')) ) {
        $card['extra'] = ['<p>' . strip_tags($product->get('description')) 
                          . ((str_word_count(strip_tags($product->get('description'))) == MODULE_CONTENT_PI_RELATED_PRODUCTS_DESCRIPTION_LENGTH)? '<a href="' . $product->get('link') . '">' . MODULE_CONTENT_PI_RELATED_PRODUCTS_SHOW_MORE . '</a>' : '')
                          . '</a></p>' . PHP_EOL];
      }
      ?>
      <div class="col mb-2">
        <div class="card h-100 is-product" <?= $product->get('data_attributes') ?>>
          <?php include $GLOBALS['Template']->map('product_card.php', 'component'); ?>
        </div>
      </div>
      <?php
    }
    ?>
  </div>
</div>

<?php
/*
  Related Products 7.5.0
  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2021: Rainer Schmied - @raiwa

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org
  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/
