<?php
/*
* $Id: relatedProducts.php
* $Loc: /includes/hooks/admin/catalog/
*
* Name: RelatedProducts
* Version: 7.5.7
* Release Date: 2024-10-22
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  class hook_admin_catalog_relatedProducts {

    function listen_deleteProductConfirmAction() {
      global $product_id;

      if (isset($_POST['products_id']) && isset($_POST['product_categories']) && is_array($_POST['product_categories'])) {
        $GLOBALS['db']->query(sprintf(<<<'EOSQL'
DELETE
  FROM products_related_products
  WHERE pop_products_id_master = %s
EOSQL
        , (int)$product_id));

        $GLOBALS['db']->query(sprintf(<<<'EOSQL'
DELETE
  FROM products_related_products
  WHERE pop_products_id_slave = %s
EOSQL
        , (int)$product_id));

      }

    }
    
    function listen_infoBox($parameters) {
      global $product, $cPath, $box, $heading, $contents;
      
      $contents = &$parameters['contents'];
      
      if (isset($product) && ($product instanceof Product)) { // product info box contents
        $insert_array[] = ['class' => 'text-center', 'text' => new Button(HOOK_CATALOG_CATEGORIES_RELATED_PRODUCTS, 'fas fa-exchange-alt', 'btn-info', [], Guarantor::ensure_global('Admin')->link('optional_related_products.php')->set_parameter('products_id_view', $product->get('id')))];

        $contents = array_merge( array_slice( $contents, 0, 1, true ), $insert_array, array_slice( $contents, 1, null, true ) );
      }
      
    }
   
  }

